using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using QuartzTypeLib;
using System.Runtime.InteropServices;

namespace soundtest
{
    public partial class Form1 : Form
    {
        private const int WM_NCHITTEST = 0x84;
        private const int HTCLIENT = 0x1;
        private const int HTCAPTION = 0x2;

        OpenFileDialog openflg = new OpenFileDialog();
        FilgraphManagerClass mgr = new FilgraphManagerClass();
        IVideoWindow videomov;
        IMediaPosition IMposition;
        IMediaControl MediaControl;
      

        string FilePath = "";
       
        public Form1()
        {
            InitializeComponent();
            openflg.FileOk += new CancelEventHandler(openflg_FileOk);
            MediaControl = mgr as IMediaControl;
           
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            mgr = new FilgraphManagerClass();
            MediaControl.RenderFile(FilePath);
            videomov = mgr as IVideoWindow;
            videomov.FullScreenMode = 1;
            IMposition = mgr as IMediaPosition;
            IMposition = mgr as IMediaPosition;
            MediaControl.Run();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            openflg.ShowDialog();
        }

        void openflg_FileOk(object sender, CancelEventArgs e)
        {
            FilePath = openflg.FileName;
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            IMposition.CurrentPosition =  (IMposition.Duration / 100)*trackBar1.Value;
        }

        private void btnstop_Click(object sender, EventArgs e)
        {
            MediaControl.Stop();
        }

        private void btnpause_Click(object sender, EventArgs e)
        {
            MediaControl.Pause();
        }

        protected override void WndProc(ref Message m)
        {
            switch (m.Msg)
            {
                case WM_NCHITTEST:
                    base.WndProc(ref m);
                    if ((int)m.Result == HTCLIENT)
                        m.Result = (IntPtr)HTCAPTION;
                    return;
                   
            }

            base.WndProc(ref m);
        }
    }
}